<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WfactionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wfaction">
        <id column="ID" property="id" />
        <result column="STARTNODEID" property="startnodeid" />
        <result column="ENDNODEID" property="endnodeid" />
        <result column="ACTION" property="action" />
        <result column="DESCRIPTION" property="description" />
        <result column="WFNAME" property="wfname" />
        <result column="WFREVISION" property="wfrevision" />
        <result column="ACTIONTYPE" property="actiontype" />
        <result column="ACTIONSTRING" property="actionstring" />
        <result column="CONDITION" property="condition" />
        <result column="CONDITIONCLASS" property="conditionclass" />
        <result column="STARTPT" property="startpt" />
        <result column="ENDPT" property="endpt" />
        <result column="ISPOSITIVE" property="ispositive" />
        <result column="ACTORDERBY" property="actorderby" />
        <result column="DEFAULTSEL" property="defaultsel" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, STARTNODEID, ENDNODEID, ACTION, DESCRIPTION, WFNAME, WFREVISION, ACTIONTYPE, ACTIONSTRING, CONDITION, CONDITIONCLASS, STARTPT, ENDPT, ISPOSITIVE, ACTORDERBY, DEFAULTSEL
    </sql>

</mapper>
